Name:                fftw2
Version:             2.1.5
Release:             1
Summary:             Fast Fourier Transform library (version 2)
%define              real_name fftw
License:             GPLv2+
URL:                 http://www.fftw.org/
Source0:             http://www.fftw.org/fftw-%{version}.tar.gz
BuildRequires:       make gcc-gfortran
%description
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.

%package        devel
Summary:             Headers, libraries and docs for the FFTW library (version 2)
Requires:            %{name} = %{version}-%{release}
%description    devel
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.
This package contains header files and development libraries needed to
develop programs using the FFTW fast Fourier transform library version 2.

%package        static
Summary:             Static version of the FFTW library (version 2)
Requires:            %{name} = %{version}-%{release}
%description    static
This package contains the static linked libraries of the FFTW fast Fourier
transform library (version 2).

%prep
%setup -q -c %{real_name}-%{version}
mv %{real_name}-%{version} single
cp -a single double

%build
pushd double
    %configure \
        --enable-shared \
        --enable-threads
    make %{?_smp_mflags}
popd
pushd single
    %configure \
        --enable-shared \
        --enable-type-prefix \
        --enable-threads \
        --enable-float
    make %{?_smp_mflags}
popd

%install
rm -rf ${RPM_BUILD_ROOT}
pushd double
    make install DESTDIR=${RPM_BUILD_ROOT}
    cp -a AUTHORS COPYING COPYRIGHT ChangeLog NEWS README* TODO ../
    cp -a FAQ/fftw-faq.html/ doc/ ../
popd
pushd single
    make install DESTDIR=${RPM_BUILD_ROOT}
popd
rm -f doc/Makefile*
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS COPYRIGHT ChangeLog NEWS README* TODO
%{_libdir}/*.so.*

%files devel
%license COPYING
%doc  doc/
%{_includedir}/*
%{_libdir}/*.so
%{_infodir}/*

%files static
%license COPYING
%{_libdir}/*.a

%changelog
* Mon Sep 6 2021 wulei <wulei80@huawei.com> - 2.1.5-1
- package init
